[RV350] screen backlight off after resume-from-suspend when using ATI KMS

Bug #434956 reported by Kees Cook on 2009-09-23
88
This bug affects 15 people
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Invalid
High
linux (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned
Maverick
Medium
Unassigned
xserver-xorg-video-ati (Ubuntu)
Low
Unassigned
Lucid
Medium
Unassigned
Maverick
Medium
Unassigned

Bug Description

Resume works normally if I do not boot with "radeon.modeset=1". Resume technically works, but the screen never comes back. I can log in blind and reboot, etc.

ProblemType: Bug
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: kees 3868 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with STAC9750,51 at irq 7'
   Mixer name : 'SigmaTel STAC9750,51'
   Components : 'AC97a:83847650'
   Controls : 36
   Simple ctrls : 23
Date: Tue Sep 22 17:11:01 2009
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=dd5a07c0-5fb9-4c26-8d00-96f85883501f
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 002: ID 413c:8000 Dell Computer Corp. BC02 Bluetooth Adapter
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Dell Computer Corporation Inspiron 8600
Package: linux-image-2.6.31-10-generic 2.6.31-10.34
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-10-generic root=UUID=7c473bb8-1b58-4622-bc01-6fb0ea4f20a8 ro splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-10.34-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-10-generic N/A
 linux-firmware 1.19
RfKill:
 1: hci0: Bluetooth
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
Uname: Linux 2.6.31-10-generic i686
WpaSupplicantLog:

dmi.bios.date: 06/30/2005
dmi.bios.vendor: Dell Computer Corporation
dmi.bios.version: A14
dmi.board.name: 0D5689
dmi.board.vendor: Dell Computer Corporation
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Computer Corporation
dmi.modalias: dmi:bvnDellComputerCorporation:bvrA14:bd06/30/2005:svnDellComputerCorporation:pnInspiron8600:pvr:rvnDellComputerCorporation:rn0D5689:rvr:cvnDellComputerCorporation:ct8:cvr:
dmi.product.name: Inspiron 8600
dmi.sys.vendor: Dell Computer Corporation

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation 82855PM Processor to I/O Controller [8086:3340] (rev 03)
     Subsystem: Dell Device [1028:0191]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] [1002:4e50]
     Subsystem: Dell Device [1028:2001]

Created an attachment (id=29782)
BootDmesg.txt

Created an attachment (id=29783)
CurrentDmesg.txt

Resume works normally if I do not boot with "radeon.modeset=1". Resume technically works, but the screen never comes back. I can log in blind and reboot, etc.

ProblemType: Bug
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: kees 3868 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with STAC9750,51 at irq 7'
   Mixer name : 'SigmaTel STAC9750,51'
   Components : 'AC97a:83847650'
   Controls : 36
   Simple ctrls : 23
Date: Tue Sep 22 17:11:01 2009
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=dd5a07c0-5fb9-4c26-8d00-96f85883501f
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 002: ID 413c:8000 Dell Computer Corp. BC02 Bluetooth Adapter
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Dell Computer Corporation Inspiron 8600
Package: linux-image-2.6.31-10-generic 2.6.31-10.34
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-10-generic root=UUID=7c473bb8-1b58-4622-bc01-6fb0ea4f20a8 ro splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-10.34-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-10-generic N/A
 linux-firmware 1.19
RfKill:
 1: hci0: Bluetooth
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
Uname: Linux 2.6.31-10-generic i686
WpaSupplicantLog:

dmi.bios.date: 06/30/2005
dmi.bios.vendor: Dell Computer Corporation
dmi.bios.version: A14
dmi.board.name: 0D5689
dmi.board.vendor: Dell Computer Corporation
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Computer Corporation
dmi.modalias: dmi:bvnDellComputerCorporation:bvrA14:bd06/30/2005:svnDellComputerCorporation:pnInspiron8600:pvr:rvnDellComputerCorporation:rn0D5689:rvr:cvnDellComputerCorporation:ct8:cvr:
dmi.product.name: Inspiron 8600
dmi.sys.vendor: Dell Computer Corporation

Kees Cook (kees) wrote :
Bryce Harrington (bryce) on 2009-09-23
tags: added: xorg-needs-kernel-fix
tags: added: ati kms
Changed in linux (Ubuntu):
importance: Undecided → High
Bryce Harrington (bryce) wrote :

I've forwarded this bug upstream to https://bugs.freedesktop.org/show_bug.cgi?id=24097 and subscribed you to it. Please follow up with them in case they need further information or wish you to test something.

Changed in xserver-xorg-driver-ati:
status: Unknown → Confirmed

If you can try drm-next, there are a number of s/r related fixes.

Changed in linux (Ubuntu):
status: New → Triaged

Hi, I have a dell latitude 6400 laptop with an intel 4500 mobile graphics card.
I suspect I have a similar problem, but it does not seem exactly the same, so I need to check with the bug reporter (Kees Cook).

When I resume the backlight is set to 0 (it is not switched off, 0 is the lowest value which let me see everything in the screen) and I can higher it using the special key FN+RIGHT_ARROW.

Andy Whitcroft (apw) wrote :

Doesn't crash the machine per-see. As KMS is not enabled by default this is not a regression as yet :). Moving to medium.

Changed in linux (Ubuntu):
importance: High → Medium
Bryce Harrington (bryce) on 2009-10-09
tags: added: karmic

Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: kostas 1529 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'ICH6'/'Intel ICH6 with Cx20468-31 at irq 17'
   Mixer name : 'Conexant Cx20468-31'
   Components : 'AC97a:43585430'
   Controls : 23
   Simple ctrls : 16
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=3c411e47-110a-4e47-b34f-2125600a4644
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Alpha i386 (20091014.1)
MachineType: Acer, inc. Aspire 1690
Package: xserver-xorg-video-ati 1:6.12.99+git20090929.7968e1fb-0ubuntu1
PackageArchitecture: i386
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic root=UUID=c35873bb-2676-4da8-8ce5-14ba6da7ec47 ro quiet splash radeon.modeset=1
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4+3ubuntu7
 libgl1-mesa-glx 7.6.0-1ubuntu4
 libdrm2 2.4.14-1ubuntu1
 xserver-xorg-video-intel 2:2.9.0-1ubuntu2
 xserver-xorg-video-ati 1:6.12.99+git20090929.7968e1fb-0ubuntu1
RfKill:

Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
XsessionErrors:
 (gnome-settings-daemon:1545): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1545): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:1643): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:1665): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (gnome-panel:1642): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -15 and height 24
dmi.bios.date: 05/09/05
dmi.bios.vendor: Acer
dmi.bios.version: 3A22
dmi.board.name: Crane II
dmi.board.vendor: Acer, Inc.
dmi.board.version: Not Applicable
dmi.chassis.type: 1
dmi.chassis.vendor: , Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvr3A22:bd05/09/05:svnAcer,inc.:pnAspire1690:pvrNotApplicable:rvnAcer,Inc.:rnCraneII:rvrNotApplicable:cvn,Inc.:ct1:cvrN/A:
dmi.product.name: Aspire 1690
dmi.product.version: Not Applicable
dmi.sys.vendor: Acer, inc.
fglrx: Not loaded
system:
 distro: Ubuntu
 architecture: i686kernel: 2.6.31-14-generic

tags: added: apport-collected

I can confirm this problem on a radeon mobility X700.

Offtopic:
sorry for the great amount of posts. Is there any way to make apport-collect upload all relative information in 1 post like in #1 ?

Bryce Harrington (bryce) on 2009-10-24
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
Robert McKee (bertmanphx) wrote :

It seems I can now successfully suspend, at least 5 times so far and resume properly, using the following parameters:

Kernel from mainline - 2.6.32-rc7, using parameter "modeset=0"

and

The ATI driver only from the following PPA
https://launchpad.net/~xorg-edgers/+...e/drivers-only

While this has worked for my HP DV8040, with ATI 200m Video card RS480 5955, I do not know if this works for you.

Robert McKee (bertmanphx) wrote :

The fix I posted in #34 above, did not work consistently. I have installed the ati and radeon drive from Jaunty. I can now suspend perfectly. So this bug really applied to a version of the ATI driver that is above the one released in Jaunty.

For reference this is:
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] [1002:4e50]

I suspect this bug is likely a dup of bug 23103 which is also a 9600 RV350.

This is true always for me now in Lucid since KMS for ATI is on by default.

Created an attachment (id=32827)
dmesg following resume

Created an attachment (id=32828)
registers when vt1 active after a coldboot

Created an attachment (id=32830)
registers when Xorg active after a coldboot

Created an attachment (id=32831)
registers after resume when vt1 was active during suspend

Created an attachment (id=32832)
registers after resume when Xorg was active during suspend

Please check bug #26185 , I think this can be duplicate.

pm-utils needs to avoid any restoring of GPU state as it's done in KMS driver now. Version 1.3 of pm-utils will do that correctly when finally released (we have rc3 currently).

It's not a dup of that bug -- I am already running pm-utils 1.3.0, and I can see that it detects KMS and drops all video quirks:

system.firmware.version = A14
system.firmware.vendor = Dell Computer Corporation
system.firmware.release_date = 06/30/2005
system.hardware.vendor = Dell Computer Corporation
system.hardware.product = Inspiron 8600
system.hardware.version =
system.board.product = 0D5689
system.board.version =
system.board.vendor = Dell Computer Corporation
system.hardware.primary_video.vendor = 0x1002
system.hardware.primary_video.product = 0x4e50
system.hardware.primary_video.driver = radeon
system.hardware.primary_video.using_kms = true
system.kernel.version = 2.6.32-11-generic

Bryce Harrington (bryce) on 2010-02-27
tags: added: backlight
tags: added: resume
Bryce Harrington (bryce) on 2010-03-24
Changed in xserver-xorg-video-ati (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged

I managed to work around this by adding the following lines to grub.
radeon.modeset=0 noapic

After doing this, suspend to ram has worked 100%.

Bryce Harrington (bryce) on 2010-03-29
description: updated
Bryce Harrington (bryce) wrote :

[This is an automatic notification.]

Hi Kees,

This bug was reported against an earlier version of Ubuntu, can you
test if it still occurs on Lucid?

Please note we also provide technical support for older versions of
Ubuntu, but not in the bug tracker. Instead, to raise the issue through
normal support channels, please see:

    http://www.ubuntu.com/support

If you are the original reporter and can still reproduce the issue on
Lucid, please run the following command to refresh the report:

  apport-collect 434956

If you are not the original reporter, please file a new bug report, so
we can work with you as the original reporter instead (you can reference
bug 434956 in your report if you think it may be related):

  ubuntu-bug xorg

If by chance you can no longer reproduce the issue on Lucid or if you
feel it is no longer relevant, please mark the bug report 'Fix Released'
or 'Invalid' as appropriate, at the following URL:

  https://bugs.launchpad.net/ubuntu/+bug/434956

Changed in xserver-xorg-video-ati (Ubuntu):
status: Triaged → Incomplete
tags: added: needs-retested-on-lucid-by-june
Kees Cook (kees) on 2010-05-05
Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Triaged
Changed in xserver-xorg-video-ati (Ubuntu Lucid):
status: New → Triaged
Changed in linux (Ubuntu Lucid):
status: New → Triaged
importance: Undecided → Medium
Changed in xserver-xorg-video-ati (Ubuntu Lucid):
importance: Undecided → Medium
tags: removed: needs-retested-on-lucid-by-june
tags: added: regression-release
tags: added: lucid-kms
Changed in xserver-xorg-driver-ati:
importance: Unknown → High
Changed in xserver-xorg-driver-ati:
importance: High → Unknown
Robert McKee (bertmanphx) wrote :

Hello. This is still an issue in Maverick. Adding radeon.modeset=0 solves the problem.

Changed in xserver-xorg-driver-ati:
importance: Unknown → High
Steve Roberts (drgrumpy) wrote :

Not sure if mine is exactly the same issue:

Maverick 64 bit, ATI graphics card

Suspend and hibernate worked on 10.04. Following upgrade (clean install) failed to resume from suspend and hibernate. pm-log indicated success, computer powers up, but display is blank.

Could successfully suspend/hibernate and resume from recovery console using pm-suspend/hibernate.

Adding radeon.modeset=0 meant that suspend and resume now work.... But this messed up my dual monitor configuration and had to create xorg.conf file.

bugbot (bugbot) on 2011-04-28
summary: - screen backlight off after resume-from-suspend when using ATI KMS
+ [RV350] screen backlight off after resume-from-suspend when using ATI
+ KMS
Bryce Harrington (bryce) on 2011-06-28
tags: removed: xorg-needs-kernel-fix
tags: added: kernel-handoff-graphics

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix

Is this still an issue? If so, what is blocking its progress?

JC Hulce (soaringsky) wrote :

This bug affects Ubuntu 10.10, Maverick Meerkat. Maverick has reached end-of-life and is no longer supported, so I am closing the bugtask for Maverick. Please upgrade to a newer version of Ubuntu.
More information here: https://lists.ubuntu.com/archives/ubuntu-announce/2012-April/000158.html

Changed in linux (Ubuntu Maverick):
status: Triaged → Invalid
Changed in xserver-xorg-video-ati (Ubuntu Maverick):
status: Triaged → Invalid
Stekman (stekman) wrote :

This bug is still in Precise Pangolin.

(In reply to comment #12)
> Is this still an issue? If so, what is blocking its progress?

It is still an issue for me at least.

*** This bug has been marked as a duplicate of bug 23103 ***

Changed in xserver-xorg-driver-ati:
status: Confirmed → Invalid

Declined for Lucid Desktop as EOL.

Changed in linux (Ubuntu Lucid):
status: Triaged → Invalid
Changed in xserver-xorg-video-ati (Ubuntu Lucid):
status: Triaged → Invalid

Kees Cook, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xserver-xorg-video-ati REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in xserver-xorg-video-ati (Ubuntu):
importance: Medium → Low
status: Triaged → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.